function InitScreenStack()
    m.screenStack = CreateObject("roSGNode", "ScreenStack")
end function

sub ShowScreen(node as Object)
    ' Define a screen stack variable.
    appscreenStack = invalid
    ' If this call originates from the Search Screen, we
    ' need to reestablish the screen stack because the 'm' context
    ' variable is incorrect.
    ' NOTE: This needs a better solution.
    if m.top.SubType() = "SearchScreen"
        mainScene = m.top.GetScene()
        appscreenStack = mainScene.callfunc("GetScreenStack", invalid)
        appscreenStack.screenNode = node
        appscreenStack.action = "Show"
    else
        m.screenStack.screenNode = node
        m.screenStack.action = "Show"
    end if
end sub

sub CloseScreen(node as Object)
    ' Define a screen stack variable.
    appscreenStack = invalid
    ' If this call originates from the Search Screen, we
    ' need to reestablish the screen stack because the 'm' context
    ' variable is incorrect.
    ' NOTE: This needs a better solution.
    if m.top.SubType() = "SearchScreen"
        mainScene = m.top.GetScene()
        appscreenStack = mainScene.callfunc("GetScreenStack", invalid)
        appscreenStack.screenNode = node
        appscreenStack.action = "Close"
    else
        m.screenStack.screenNode = node
        m.screenStack.action = "Close"
    end if
end sub

sub ClearScreenStack()
    ' Define a screen stack variable.
    appscreenStack = invalid
    ' If this call originates from the Search Screen, we
    ' need to reestablish the screen stack because the 'm' context
    ' variable is incorrect.
    ' NOTE: This needs a better solution.
    if m.top.SubType() = "SearchScreen"
        mainScene = m.top.GetScene()
        appscreenStack = mainScene.callfunc("GetScreenStack", invalid)
        appscreenStack.screenNode = invalid
        appscreenStack.action = "Clear"
    else
        m.screenStack.screenNode = invalid
        m.screenStack.action = "Clear"
    end if
end sub

function GetCurrentScreen()
    ' Define a screen stack variable.
    appscreenStack = invalid
    ' If this call originates from the Search Screen, we
    ' need to reestablish the screen stack because the 'm' context
    ' variable is incorrect.
    ' NOTE: This needs a better solution.
    if m.top.SubType() = "SearchScreen"
        mainScene = m.top.GetScene()
        appscreenStack = mainScene.callfunc("GetScreenStack", invalid)
        return appscreenStack.current
    else
        return m.screenStack.current
    end if
end function'//# sourceMappingURL=./ScreenStackLogic.bs.map