sub ShowGridScreen()
    m.GridScreen = CreateObject("roSGNode", "GridScreen")
    m.GridScreen.ObserveField("rowItemSelected", "OnGridScreenItemSelected")
    ShowScreen(m.GridScreen) ' show GridScreen.    
end sub

sub OnGridScreenItemSelected(event as Object) ' invoked when GridScreen item is selected.
    grid = event.GetRoSGNode()
    ' extract the row and column of indices of the item the user selected.
    m.selectedIndex = event.GetData()
    ' the entire row from the RowList will be used by the Video node.
    rowContent = grid.content.GetChild(m.selectedIndex[0])
    contentObject = rowContent.getChildren(- 1, 0)
    ' If supporting "Continue Watching", show the video.  Else, show the details.
    if contentObject[0].continueWatching <> invalid and contentObject[0].continueWatching = true
        ShowVideoScreen(contentObject[0], m.selectedIndex[1])
    else
        m.selectedRow = m.selectedIndex[0]
        ShowDetailsScreen(rowContent, m.selectedIndex[1])
    end if
end sub'//# sourceMappingURL=./GridScreenLogic.bs.map